ACN::SDT::UDP::ipAddress Struct Reference

3 Address Specification More...

`#include <udp.h>`

Inheritance diagram for ACN::SDT::UDP::ipAddress:
[legend]

## Public Member Functions

size_t | streamSize () const override
| ipAddress::streamSize More...
void | iStream (PDU::Stream) override
| address_t::iStream More...
void | oStream (PDU::Stream) const override
| ipAddress::oStream More...

## Public Attributes

uint8_t | type = 0
| address type identifier
uint16_t | port = SDT_MULTICAST_PORT
| Port.
union {
uint8_t ipv4 [4]
uint8_t ipv6 [16] = {0}
}; |

## Detailed Description

3 Address Specification

## Member Function Documentation

## iStream()

void ACN::SDT::UDP::ipAddress::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

address_t::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

## oStream()

void ACN::SDT::UDP::ipAddress::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

ipAddress::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

## streamSize()

size_t ACN::SDT::UDP::ipAddress::streamSize | ( |  | ) | const

overridevirtual

ipAddress::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/udp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/udp.cpp